MPROMPT(1)

NAME
mprompt - simple prompt-based control for mpd

SYNOPSIS
mpompt [-s] [-m key=key] [-t n] [-f] [tty] [-T] [host]

DESCRIPTION
mprompt is a mpd client with a prompt-based interface. It is designed to be usable on a headless machine.

At the prompt, enter the name of a playlist, or part of the name of an album, artist, or song. Matching items will start playing. You can also paste in urls to stream.

(If the perl String::Approx module is available, it will be used to handle typos, etc in the names you enter.)

Use the left and right arrow keys to adjust volume, and the up and down arrow keys to move through the playlist.

The Tab and Enter keys can both be used to pause and unpause playback. (Enter toggles pause only if nothing has been entered at the prompt.)

Example of how to run mprompt in /etc/inittab:

        1:2345:respawn:/usr/bin/mprompt /dev/tty1

OPTIONS

-s  This option allows shell commands to be typed in to mprompt, to be run by whatever user it is running as. (Typically root if it is run from /etc/inittab).

    To enter a shell command, type a "!", followed by the command to run, followed by Enter.

-m key=key
    This option allows remapping keys. Any key can be remapped to any other key, which is useful to support keyboard with unusual key layouts, or missing keys.

    For alphanumeric and punctuation keys, individual symbols can be remapped. For example, "-m a=b" will turn each entered "a" into "b".

    For other keys, use the following names:

    <return>
    <tab>
    <space>
    <up>
    <down>
    <left>
    <right>
    <backspace>

    For example, -m "n=<down>" will map the "n" key to the down arrow, causing that key to change to the next track; -m "<space>=<return>" will make the space bar act as a pause.

    It's possible to swap keys too. For example, -m "<down>=<up>" -m "<up>=<down>"

    A single key can also be bound to a series of keystrokes. For example, -m "1=Mule Variations<return>" will cause the "1" key to play the "Mule Variations" album, a nice choice.

-t n
    Adds a timeout, a specified number of seconds after which the entry on the command line will be cleared. Useful for headless systems, to avoid cat-on-keyboard confusing your later commands.

-T  Enables terse output mode. This mode tries to avoid displaying excessive or complex things, with the intent that mprompt's output can be piped into a speech synthesiser, such as espeak.

SEE ALSO
vipl(1) mptoggle(1) mpd(1)

AUTHOR
Copyright 2009 Joey Hess <joey@kitenet.net>

Licensed under the GNU GPL version 2 or higher.

http://kitenet.net/~joey/code/mpdtoys